Subject: Re: [Isis-wg] Re: [Fwd: [mpls] WG Last Call ondraft-ietf-mpls-number-0-bw-te-lsps-02.txt]

From: JP Vasseur <[email-masked]>
Date: Thu, 7 Dec 2006 21:07:45 -0500

Hi Les,

Your comments definitely make sense, thanks. I'll respin a new  
revision very soon, this time the last one.

Thanks.

JP.

On Dec 7, 2006, at 8:46 PM, Les Ginsberg ((ginsberg)) wrote:

> JP -
>
> Sorry for the very belated comments - but I do have two minor, but  
> still
> important, concerns regarding IS-IS.
>
> Both are in Section 3.1.
>
> 1)You have specified a 32 bit value for the number of unconstrained TE
> LSPs. I would prefer that this be a 16 bit value. This still provides
> ample range and given the 255 octet limit for a TLV, it is  
> worthwhile to
> be prudent in our use of encoding space. And, unlike OSPF, there is no
> benefit in IS-IS to attempts to align fields on a natural boundary.
> Whether you want to change OSPF encoding to match is not required  
> and is
> left up to you and OSPF folks to decide.
>
> So
>      Length (1 octet): 4
>
> becomes
>
>      Length (1 octet): 2
>
> And
>
>    Value (4 octets): number of unconstrained TE LSP(s) signalled  
> across
>    the link.
>
> Becomes
>
>    Value (2 octets): number of unconstrained TE LSP(s) signalled  
> across
>    the link.
>
> 2)Remove the following sentence from the first paragraph of Section  
> 3.1:
>
> "If a second instance of the Number of
>    0-bandwidth TE LSP(s) sub-TLV is present, the receiving system MUST
>    only process the first instance of the sub-TLV."
>
> In cases where a TLV may move from one LSP fragment to another (for
> example because of the addition of information which exceeds the
> carrying capacity of the original LSP fragment) a router may have
> multiple copies of the same TLV as a transient condition. It is
> impossible to know which of the copies is newer and therefore  
> impossible
> to deterministically decide which is the first instance of a  
> subTLV. So
> it is better to leave the behavior in this case as undefined.
>
> Thanx - and once again my apologies for the very late review.
>
>    Les
>

---

From: "Les Ginsberg \(ginsberg\)" <[email-masked]>
Date: Thu, 7 Dec 2006 17:46:37 -0800

JP -

Sorry for the very belated comments - but I do have two minor, but still
important, concerns regarding IS-IS.

Both are in Section 3.1.

1)You have specified a 32 bit value for the number of unconstrained TE
LSPs. I would prefer that this be a 16 bit value. This still provides
ample range and given the 255 octet limit for a TLV, it is worthwhile to
be prudent in our use of encoding space. And, unlike OSPF, there is no
benefit in IS-IS to attempts to align fields on a natural boundary.
Whether you want to change OSPF encoding to match is not required and is
left up to you and OSPF folks to decide.

So
     Length (1 octet): 4

becomes

     Length (1 octet): 2

And

   Value (4 octets): number of unconstrained TE LSP(s) signalled across
   the link.

Becomes

   Value (2 octets): number of unconstrained TE LSP(s) signalled across
   the link.

2)Remove the following sentence from the first paragraph of Section 3.1:

In cases where a TLV may move from one LSP fragment to another (for
example because of the addition of information which exceeds the
carrying capacity of the original LSP fragment) a router may have
multiple copies of the same TLV as a transient condition. It is
impossible to know which of the copies is newer and therefore impossible
to deterministically decide which is the first instance of a subTLV. So
it is better to leave the behavior in this case as undefined.

   Les